
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 银行卡信息
 *
 * @author tmerclub
 * @date 2021-04-29 10:22:13
 */
public class ShopBankCard extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 银行卡自增id
     */
    private Long shopBankCardId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行开户行
     */
    private String openingBank;

    /**
     * 收款方户名
     */
    private String recipientName;

    /**
     * 收款方账户
     */
    private String cardNo;

    /**
     * 支行名称
     */
    private String branchName;

    /**
     * 是否默认 1:默认 0:非默认
     */
    private Integer isDefault;

    /**
     * 银行卡号
     */
    private String bankCardNo;

    /**
     * 银行卡/账户属性 0个人银行卡 1企业对公账户
     */
    private Integer bankCardPro;

    /**
     * 支付行号
     */
    private String unionBank;

    /**
     * 1.正常，-1.已删除
     */
    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getShopBankCardId() {
        return shopBankCardId;
    }

    public void setShopBankCardId(Long shopBankCardId) {
        this.shopBankCardId = shopBankCardId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getOpeningBank() {
        return openingBank;
    }

    public void setOpeningBank(String openingBank) {
        this.openingBank = openingBank;
    }

    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public Integer getBankCardPro() {
        return bankCardPro;
    }

    public void setBankCardPro(Integer bankCardPro) {
        this.bankCardPro = bankCardPro;
    }

    public String getUnionBank() {
        return unionBank;
    }

    public void setUnionBank(String unionBank) {
        this.unionBank = unionBank;
    }

    @Override
    public String toString() {
        return "ShopBankCard{" +
                "shopBankCardId=" + shopBankCardId +
                ", shopId=" + shopId +
                ", bankName='" + bankName + '\'' +
                ", openingBank='" + openingBank + '\'' +
                ", recipientName='" + recipientName + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", branchName='" + branchName + '\'' +
                ", isDefault=" + isDefault +
                ", bankCardNo='" + bankCardNo + '\'' +
                ", bankCardPro=" + bankCardPro +
                ", unionBank=" + unionBank +
                ", status=" + status +
                '}';
    }
}
